Main Page Class Hierarchy Compound List File List Compound Members File Members

# SAChead Struct Reference

`#include <sachead.h>`

List of all members.

## Public Attributes
float | delta
float | depmin
float | depmax
float | scale
float | odelta
float | b
float | e
float | o
float | a
float | internal1
float | t0
float | t1
float | t2
float | t3
float | t4
float | t5
float | t6
float | t7
float | t8
float | t9
float | f
float | resp0
float | resp1
float | resp2
float | resp3
float | resp4
float | resp5
float | resp6
float | resp7
float | resp8
float | resp9
float | stla
float | stlo
float | stel
float | stdp
float | evla
float | evlo
float | evel
float | evdp
float | blank1
float | user0
float | user1
float | user2
float | user3
float | user4
float | user5
float | user6
float | user7
float | user8
float | user9
float | dist
float | az
float | baz
float | gcarc
float | internal2
float | internal3
float | depmen
float | cmpaz
float | cmpinc
float | blank4 [SACTEMP4]
long | nzyear
long | nzjday
long | nzhour
long | nzmin
long | nzsec
long | nzmsec
long | internal4
long | internal5
long | internal6
long | npts
long | internal7
long | internal8
long | blank6 [SACTEMP6]
long | iftype
long | idep
long | iztype
long | iblank6a
long | iinst
long | istreg
long | ievreg
long | ievtyp
long | iqual
long | isynth
long | blank7 [SACTEMP7]
unsigned long | leven
unsigned long | lpspol
unsigned long | lovrok
unsigned long | lcalda
unsigned long | lblank1
char | kstnm [K_LEN]
char | kevnm [KEVNMLEN]
char | khole [K_LEN]
char | ko [K_LEN]
char | ka [K_LEN]
char | kt0 [K_LEN]
char | kt1 [K_LEN]
char | kt2 [K_LEN]
char | kt3 [K_LEN]
char | kt4 [K_LEN]
char | kt5 [K_LEN]
char | kt6 [K_LEN]
char | kt7 [K_LEN]
char | kt8 [K_LEN]
char | kt9 [K_LEN]
char | kf [K_LEN]
char | kuser0 [K_LEN]
char | kuser1 [K_LEN]
char | kuser2 [K_LEN]
char | kcmpnm [K_LEN]
char | knetwk [K_LEN]
char | kdatrd [K_LEN]
char | kinst [K_LEN]

## Detailed Description

TYPE DECLARATIONS *

Definition at line 103 of file sachead.h.

## Member Data Documentation

float SAChead::a

| Definition at line 113 of file sachead.h. Referenced by Sac2EWEvent(), and SACPABase_write_parametric().

float SAChead::az

| Definition at line 156 of file sachead.h. Referenced by Sac2EWEvent(), SACPABase_write_parametric(), and SACPABase_write_stainfo().

float SAChead::b

| Definition at line 110 of file sachead.h. Referenced by SACPABase_init().

float SAChead::baz

| Definition at line 157 of file sachead.h.

float SAChead::blank1

| Definition at line 144 of file sachead.h.

float SAChead::blank4[SACTEMP4]

| Definition at line 164 of file sachead.h.

long SAChead::blank6[SACTEMP6]

| Definition at line 179 of file sachead.h.

long SAChead::blank7[SACTEMP7]

| Definition at line 190 of file sachead.h.

float SAChead::cmpaz

| Definition at line 162 of file sachead.h. Referenced by SACPABase_next_scn(), and SACPABase_write_extinfo().

float SAChead::cmpinc

| Definition at line 163 of file sachead.h. Referenced by SACPABase_next_scn(), and SACPABase_write_extinfo().

float SAChead::delta

| Definition at line 105 of file sachead.h. Referenced by SACPABase_write_trace().

float SAChead::depmax

| Definition at line 107 of file sachead.h.

float SAChead::depmen

| Definition at line 161 of file sachead.h.

float SAChead::depmin

| Definition at line 106 of file sachead.h.

float SAChead::dist

| Definition at line 155 of file sachead.h. Referenced by Sac2EWEvent(), SACPABase_write_parametric(), and SACPABase_write_stainfo().

float SAChead::e

| Definition at line 111 of file sachead.h. Referenced by SACPABase_write_trace().

float SAChead::evdp

| Definition at line 143 of file sachead.h. Referenced by Sac2EWEvent(), SACPABase_next_ev(), and SACPABase_next_ev_review().

float SAChead::evel

| Definition at line 142 of file sachead.h. Referenced by SACPABase_next_ev(), and SACPABase_next_ev_review().

float SAChead::evla

| Definition at line 140 of file sachead.h. Referenced by Sac2EWEvent(), SACPABase_next_ev(), SACPABase_next_ev_review(), and SACPABase_write_stainfo().

float SAChead::evlo

| Definition at line 141 of file sachead.h. Referenced by Sac2EWEvent(), SACPABase_next_ev(), SACPABase_next_ev_review(), and SACPABase_write_stainfo().

float SAChead::f

| Definition at line 125 of file sachead.h. Referenced by Sac2EWEvent(), and SACPABase_write_parametric().

float SAChead::gcarc

| Definition at line 158 of file sachead.h.

long SAChead::iblank6a

| Definition at line 183 of file sachead.h.

long SAChead::idep

| Definition at line 181 of file sachead.h. Referenced by SACPABase_init().

long SAChead::ievreg

| Definition at line 186 of file sachead.h.

long SAChead::ievtyp

| Definition at line 187 of file sachead.h.

long SAChead::iftype

| Definition at line 180 of file sachead.h. Referenced by SACPABase_init().

long SAChead::iinst

| Definition at line 184 of file sachead.h.

float SAChead::internal1

| Definition at line 114 of file sachead.h.

float SAChead::internal2

| Definition at line 159 of file sachead.h.

float SAChead::internal3

| Definition at line 160 of file sachead.h.

long SAChead::internal4

| Definition at line 173 of file sachead.h.

long SAChead::internal5

| Definition at line 174 of file sachead.h.

long SAChead::internal6

| Definition at line 175 of file sachead.h.

long SAChead::internal7

| Definition at line 177 of file sachead.h.

long SAChead::internal8

| Definition at line 178 of file sachead.h.

long SAChead::iqual

| Definition at line 188 of file sachead.h.

long SAChead::istreg

| Definition at line 185 of file sachead.h.

long SAChead::isynth

| Definition at line 189 of file sachead.h.

long SAChead::iztype

| Definition at line 182 of file sachead.h. Referenced by SACPABase_init().

char SAChead::ka[K_LEN]

| Definition at line 202 of file sachead.h. Referenced by Sac2EWEvent(), and SACPABase_write_parametric().

char SAChead::kcmpnm[K_LEN]

| Definition at line 217 of file sachead.h. Referenced by Sac2EWEvent(), and SACPABase_next_scn().

char SAChead::kdatrd[K_LEN]

| Definition at line 219 of file sachead.h.

char SAChead::kevnm[KEVNMLEN]

| Definition at line 199 of file sachead.h.

char SAChead::kf[K_LEN]

| Definition at line 213 of file sachead.h.

char SAChead::khole[K_LEN]

| Definition at line 200 of file sachead.h.

char SAChead::kinst[K_LEN]

| Definition at line 220 of file sachead.h. Referenced by SACPABase_write_amppicks().

char SAChead::knetwk[K_LEN]

| Definition at line 218 of file sachead.h. Referenced by Sac2EWEvent(), and SACPABase_next_scn().

char SAChead::ko[K_LEN]

| Definition at line 201 of file sachead.h. Referenced by SACPABase_init().

char SAChead::kstnm[K_LEN]

| Definition at line 198 of file sachead.h. Referenced by Sac2EWEvent(), and SACPABase_next_scn().

char SAChead::kt0[K_LEN]

| Definition at line 203 of file sachead.h. Referenced by Sac2EWEvent(), SACPABase_write_amppicks(), and SACPABase_write_parametric().

char SAChead::kt1[K_LEN]

| Definition at line 204 of file sachead.h. Referenced by SACPABase_write_amppicks().

char SAChead::kt2[K_LEN]

| Definition at line 205 of file sachead.h. Referenced by SACPABase_write_amppicks().

char SAChead::kt3[K_LEN]

| Definition at line 206 of file sachead.h.

char SAChead::kt4[K_LEN]

| Definition at line 207 of file sachead.h.

char SAChead::kt5[K_LEN]

| Definition at line 208 of file sachead.h.

char SAChead::kt6[K_LEN]

| Definition at line 209 of file sachead.h.

char SAChead::kt7[K_LEN]

| Definition at line 210 of file sachead.h.

char SAChead::kt8[K_LEN]

| Definition at line 211 of file sachead.h.

char SAChead::kt9[K_LEN]

| Definition at line 212 of file sachead.h.

char SAChead::kuser0[K_LEN]

| Definition at line 214 of file sachead.h. Referenced by SACPABase_write_amppicks().

char SAChead::kuser1[K_LEN]

| Definition at line 215 of file sachead.h. Referenced by SACPABase_write_amppicks().

char SAChead::kuser2[K_LEN]

| Definition at line 216 of file sachead.h.

unsigned long SAChead::lblank1

| Definition at line 195 of file sachead.h.

unsigned long SAChead::lcalda

| Definition at line 194 of file sachead.h.

unsigned long SAChead::leven

| Definition at line 191 of file sachead.h. Referenced by SACPABase_init().

unsigned long SAChead::lovrok

| Definition at line 193 of file sachead.h.

unsigned long SAChead::lpspol

| Definition at line 192 of file sachead.h.

long SAChead::npts

| Definition at line 176 of file sachead.h. Referenced by Sac2EWEvent(), SACPABase_end_scn(), SACPABase_end_scn_gm(), and SACPABase_write_trace().

long SAChead::nzhour

| Definition at line 169 of file sachead.h. Referenced by SAC_reftime(), and SACPABase_write_trace().

long SAChead::nzjday

| Definition at line 168 of file sachead.h. Referenced by SAC_reftime(), and SACPABase_write_trace().

long SAChead::nzmin

| Definition at line 170 of file sachead.h. Referenced by SAC_reftime(), and SACPABase_write_trace().

long SAChead::nzmsec

| Definition at line 172 of file sachead.h. Referenced by SAC_reftime(), and SACPABase_write_trace().

long SAChead::nzsec

| Definition at line 171 of file sachead.h. Referenced by SAC_reftime(), and SACPABase_write_trace().

long SAChead::nzyear

| Definition at line 167 of file sachead.h. Referenced by SAC_reftime(), and SACPABase_write_trace().

float SAChead::o

| Definition at line 112 of file sachead.h. Referenced by Sac2EWEvent(), and SACPABase_write_trace().

float SAChead::odelta

| Definition at line 109 of file sachead.h.

float SAChead::resp0

| Definition at line 126 of file sachead.h.

float SAChead::resp1

| Definition at line 127 of file sachead.h.

float SAChead::resp2

| Definition at line 128 of file sachead.h.

float SAChead::resp3

| Definition at line 129 of file sachead.h.

float SAChead::resp4

| Definition at line 130 of file sachead.h.

float SAChead::resp5

| Definition at line 131 of file sachead.h.

float SAChead::resp6

| Definition at line 132 of file sachead.h.

float SAChead::resp7

| Definition at line 133 of file sachead.h.

float SAChead::resp8

| Definition at line 134 of file sachead.h.

float SAChead::resp9

| Definition at line 135 of file sachead.h.

float SAChead::scale

| Definition at line 108 of file sachead.h.

float SAChead::stdp

| Definition at line 139 of file sachead.h.

float SAChead::stel

| Definition at line 138 of file sachead.h. Referenced by Sac2EWEvent(), and SACPABase_write_stainfo().

float SAChead::stla

| Definition at line 136 of file sachead.h. Referenced by Sac2EWEvent(), and SACPABase_write_stainfo().

float SAChead::stlo

| Definition at line 137 of file sachead.h. Referenced by Sac2EWEvent(), and SACPABase_write_stainfo().

float SAChead::t0

| Definition at line 115 of file sachead.h. Referenced by Sac2EWEvent(), SACPABase_write_amppicks(), and SACPABase_write_parametric().

float SAChead::t1

| Definition at line 116 of file sachead.h. Referenced by SACPABase_write_amppicks().

float SAChead::t2

| Definition at line 117 of file sachead.h. Referenced by SACPABase_write_amppicks().

float SAChead::t3

| Definition at line 118 of file sachead.h.

float SAChead::t4

| Definition at line 119 of file sachead.h.

float SAChead::t5

| Definition at line 120 of file sachead.h.

float SAChead::t6

| Definition at line 121 of file sachead.h.

float SAChead::t7

| Definition at line 122 of file sachead.h.

float SAChead::t8

| Definition at line 123 of file sachead.h.

float SAChead::t9

| Definition at line 124 of file sachead.h.

float SAChead::user0

| Definition at line 145 of file sachead.h. Referenced by SACPABase_write_amppicks(), and SACPABase_write_extinfo().

float SAChead::user1

| Definition at line 146 of file sachead.h. Referenced by SACPABase_write_amppicks(), and SACPABase_write_extinfo().

float SAChead::user2

| Definition at line 147 of file sachead.h. Referenced by SACPABase_write_extinfo().

float SAChead::user3

| Definition at line 148 of file sachead.h. Referenced by SACPABase_write_extinfo().

float SAChead::user4

| Definition at line 149 of file sachead.h. Referenced by SACPABase_write_extinfo().

float SAChead::user5

| Definition at line 150 of file sachead.h. Referenced by SACPABase_write_extinfo().

float SAChead::user6

| Definition at line 151 of file sachead.h.

float SAChead::user7

| Definition at line 152 of file sachead.h.

float SAChead::user8

| Definition at line 153 of file sachead.h.

float SAChead::user9

| Definition at line 154 of file sachead.h.

The documentation for this struct was generated from the following file:

- sachead.h